default:
  image: registry.gitlab.com/pages/hugo/hugo_extended:latest
  before_script:
  # Add Go Module dependencies
  - apk --no-cache add git
  - apk --no-cache add go

test:
  stage: validate
  script:
  - hugo --environment dev
#  artifacts:
#    paths:
#    - public
  only:
  - main

pages:
  stage: publish
  script:
  - |
    echo "Add HUGO Test Configuration from CI-variables.    "
    echo "============================================="
    echo "baseURL: '$CI_PAGES_URL'" >> config/pages/config.yml
    echo "title: '$CI_PROJECT_TITLE'" >> config/pages/config.yml
  - hugo --environment pages
  artifacts:
    paths:
    - public
  only:
  - tags
